de.vc.jfo.tools

## Class ImageMetaData

- java.lang.Object
- - de.vc.jfo.tools.ImageMetaData

-     public class ImageMetaData
      extends java.lang.Object

  Meta data of an image.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_DPI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageMetaData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDPI()`
    `java.lang.String` | `getFileSuffix()`
    `java.lang.String` | `getImageId()`
    `java.awt.Dimension` | `getImageSize()` Gets the size of image.
    `java.lang.String` | `getMimeType()`
    `boolean` | `hasDPI()`
    `void` | `setDPI(int dpi)`
    `void` | `setFileSuffix(java.lang.String fileSuffix)`
    `void` | `setImageId(java.lang.String imageId)`
    `void` | `setImageSize(java.awt.Dimension imageSize)` Sets the size of image.
    `void` | `setMimeType(java.lang.String mimeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DPI

          public static final int DEFAULT_DPI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImageMetaData

          public ImageMetaData()

  - ### Method Detail

    - #### setImageSize

          public void setImageSize(java.awt.Dimension imageSize)

      Sets the size of image.
      Parameters:
        `imageSize` - Dimension

    - #### setMimeType

          public void setMimeType(java.lang.String mimeType)

    - #### setImageId

          public void setImageId(java.lang.String imageId)

    - #### setFileSuffix

          public void setFileSuffix(java.lang.String fileSuffix)

    - #### setDPI

          public void setDPI(int dpi)

    - #### getImageSize

          public java.awt.Dimension getImageSize()

      Gets the size of image.
      Returns:
        Size of image or null if unknown.

    - #### getMimeType

          public java.lang.String getMimeType()

    - #### getImageId

          public java.lang.String getImageId()

    - #### getFileSuffix

          public java.lang.String getFileSuffix()

    - #### getDPI

          public int getDPI()

    - #### hasDPI

          public boolean hasDPI()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.